## Container - Redundant Container - Redundant — A container class for Redundant subtag |

## Functions

lt_redundant_t * | lt_redundant_ref ()
void | lt_redundant_unref ()
const char * | lt_redundant_get_better_tag ()
const char * | lt_redundant_get_tag ()
const char * | lt_redundant_get_preferred_tag ()
const char * | lt_redundant_get_name ()
void | lt_redundant_dump ()
lt_bool_t | lt_redundant_compare ()

## Types and Values

| lt_redundant_t

## Description

This container class provides a data access to Redundant subtag entry.

## Functions

### lt_redundant_ref ()

    lt_redundant_t *
    lt_redundant_ref (lt_redundant_t *redundant);

Increases the reference count of `redundant` .

#### Parameters

redundant | a lt_redundant_t. |

#### Returns

the same `redundant` object.

[transfer none]

### lt_redundant_unref ()

    void
    lt_redundant_unref (lt_redundant_t *redundant);

Decreases the reference count of `redundant` . when its reference count drops to 0, the object is finalized (i.e. its memory is freed).

#### Parameters

redundant | a lt_redundant_t. |

### lt_redundant_get_better_tag ()

    const char *
    lt_redundant_get_better_tag (const lt_redundant_t *redundant);

Obtains the better tag for use. this is a convenient function to get the preferred-value if available.

#### Parameters

redundant | a lt_redundant_t. |

#### Returns

a tag string.

### lt_redundant_get_tag ()

    const char *
    lt_redundant_get_tag (const lt_redundant_t *redundant);

Obtains the tag name.

#### Parameters

redundant | a lt_redundant_t. |

#### Returns

a tag string.

### lt_redundant_get_preferred_tag ()

    const char *
    lt_redundant_get_preferred_tag (const lt_redundant_t *redundant);

Obtains the preferred-value. this is available only when the tag is marked as deprecated.

#### Parameters

redundant | a lt_redundant_t. |

#### Returns

a preferred-value for the tag or `NULL`.

### lt_redundant_get_name ()

    const char *
    lt_redundant_get_name (const lt_redundant_t *redundant);

Obtains the description of the tag.

#### Parameters

redundant | a lt_redundant_t. |

#### Returns

a description string.

### lt_redundant_dump ()

    void
    lt_redundant_dump (const lt_redundant_t *redundant);

Dumps the container information to the standard output.

#### Parameters

redundant | a lt_redundant_t. |

### lt_redundant_compare ()

    lt_bool_t
    lt_redundant_compare (const lt_redundant_t *v1,
                          const lt_redundant_t *v2);

Compare if `v1` and `v2` is the same object or not.

#### Parameters

v1 | a lt_redundant_t. |
v2 | a lt_redundant_t. |

#### Returns

`TRUE` if it's the same. otherwise `FALSE`.

## Types and Values

### lt_redundant_t

    typedef struct _lt_redundant_t lt_redundant_t;

All the fields in the lt_redundant_t structure are private to the lt_redundant_t implementation.